: Class ResourcesHelper

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigadm.editors
Class ResourcesHelper

    java.lang.Object
      |
      +--org.w3c.jigadm.editors.ResourceHelper
            |
            +--org.w3c.jigadm.editors.ResourcesHelper

public class ResourcesHelper
extends ResourceHelper

Fields inherited from class org.w3c.jigadm.editors.ResourceHelper
`rls`

Constructor Summary
`ResourcesHelper()`

Method Summary
`protected void` | `addResource()`
`void` | `clearChanged()` set the current resource to be the original resource (ie: the hasChanged() method must return false now.
`void` | `commitChanges()` commit changes (if any)
`java.awt.Component` | `getComponent()`
`java.lang.String` | `getTitle()`
`protected RemoteResourceWrapper` | `getWrapper()`
`boolean` | `hasChanged()` tells if the edited resource in the helper has changed
`protected void` | `initAddPanel(java.util.Properties config)`
`void` | `initialize(RemoteResourceWrapper rrw, java.util.Properties pr)` initialize this helper
`void` | `resetChanges()` undo the not-yet-commited changes

Methods inherited from class org.w3c.jigadm.editors.ResourceHelper
`addResourceListener, errorPopup, getValue, msgPopup, processEvent, removeResourceListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourcesHelper

    public ResourcesHelper()

Method Detail

### addResource

    protected void addResource()

### getWrapper

    protected RemoteResourceWrapper getWrapper()

### getComponent

    public java.awt.Component getComponent()

  Overrides:
    getComponent in class ResourceHelper

### commitChanges

    public void commitChanges()
                       throws RemoteAccessException

  commit changes (if any)
  Throws:
    RemoteAccessException - if a remote access error occurs.

### hasChanged

    public boolean hasChanged()

  Description copied from interface: ResourceHelperInterface
  tells if the edited resource in the helper has changed
  Tags copied from interface: ResourceHelperInterface
  Returns:
    true if the values changed. to get more informations about what has changed, you can use the three methods below.

### resetChanges

    public void resetChanges()

  Description copied from interface: ResourceHelperInterface
  undo the not-yet-commited changes

### clearChanged

    public void clearChanged()

  Description copied from interface: ResourceHelperInterface
  set the current resource to be the original resource (ie: the hasChanged() method must return false now. to do a "fine tuned" reset, use one of the three following method.

### getTitle

    public final java.lang.String getTitle()

  Overrides:
    getTitle in class ResourceHelper

### initAddPanel

    protected void initAddPanel(java.util.Properties config)

### initialize

    public void initialize(RemoteResourceWrapper rrw,
                           java.util.Properties pr)
                    throws RemoteAccessException

  initialize this helper
  Parameters:
    `rrw` - The RemoteResourceWrapper
    `pr` - The properties
  Throws:
    RemoteAccessException - if a remote access error occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD